Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface WseeHandlerRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface WseeHandlerRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Provides runtime information about a SOAP message handler that has been associated with a Web Service.

SOAP message handlers are used to intercept both the inbound (request) and outbound (response) SOAP messages so that extra processing can be done on the messages. Programmers specify SOAP message handlers for a Web Service using the @SOAPMessageHandlers and @HandlerChain JWS annotations.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Class` | `getHandlerClass()` Specifies the fully qualified name of the class that implements this SOAP handler
`QName[]` | `getHeaders()` Specifies the SOAP headers that can be processed by this SOAP message handler.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getHandlerClass

    public Class getHandlerClass()

  Specifies the fully qualified name of the class that implements this SOAP handler

  This class implements the JAX-RPC javax.xml.rpc.handler.Handler interface or javax.xml.rpc.handler.GenericHandler abstract class. These interfaces or classes contain methods that programmers implement to process the request and response SOAP messages resulting from the invoke of a Web Service operation.

### getHeaders

    public QName[] getHeaders()

  Specifies the SOAP headers that can be processed by this SOAP message handler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD